<?php
 echo "Montant: "            ;
 fscanf(STDIN,"%s",$Montant) ; // Saisie de la donnée
 // remplacement des virgules par des point décimaux
 $Montant = str_replace(",",".",$Montant) ;
 $Montant = floatval($Montant) ; // conversion en réel
 // Affiche la donnée sans traitement
 echo "Montant saisi = $Montant".PHP_EOL;
 var_dump($Montant);
 // Dates, et numériques au format local (français)
 setlocale(LC_ALL, '') ;
 // Affiche la donnée réelle avec les paramètres nationaux
 echo "Montant au format français = $Montant".PHP_EOL;
 // Affiche la donnée réelle en format monétaire français
 $Mont = number_format($Montant,2,","," ")." €"            ;
 echo "Montant au format monétaire français = $Mont".PHP_EOL;
?>
